bitesize-nd(8)

NAME
bitesize-nd - Measure block I/O size distribution. Uses Linux SystemTap (non-debuginfo).

SYNOPSIS
bitesize-nd.stp

DESCRIPTION
This uses the kernel tracepoint block_rq_insert to read the size of I/O. The output includes the name of the process or thread that was on-CPU when the I/O request was inserted on the issue queue.

REQUIREMENTS
SystemTap.

EXAMPLES

Measure block I/O sizes, and show a distribution histogram for each process name on Ctrl-C:
    # bitesize-nd.stp

FIELDS

value
    The minimum size, in bytes, for this histogram bucket. Read this value as "I/O size was at least xxx".

count
    How many I/O fell into this size range.

OVERHEAD
Should be low, relative to the rate of disk I/O. Test first.

SOURCE
This is from the SystemTap lwtools collection.

    https://github.com/brendangregg/systemtap-lwtools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
biolatency-nd.stp(8), iostat(1)